=== drivers/dahdi/firmware/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 OCT6114_064_VERSION:=1.05.01
 OCT6114_128_VERSION:=1.05.01
 TC400M_VERSION:=MR6.12
-VPMADT032_VERSION:=1.17.0
+VPMADT032_VERSION:=1.20.0
 
 FIRMWARE_URL:=http://downloads.digium.com/pub/telephony/firmware/releases
