=== debian/changelog ===
dahdi-linux (1:2.3.0.1+dfsg-2ubuntu2) natty; urgency=low

  * debian/patches/bkl_fix_ioctl: Do not ioctl when unlocked_ioctl is available.
    Previous behaviour was causing a dkms build failure. Patch cherry picked 
    from upstream commit (r9142). (LP: #731197)
  * debian/patches/drop_semaphores_as_mutexes: Use of semaphores as mutexes 
    feature was removed from the kernel, causing dkms build failure. Patch 
    cherry picked from upstream commit (r9464), with minor alterations.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 13 Apr 2011 10:56:26 +0100

dahdi-linux (1:2.3.0.1+dfsg-2ubuntu1) natty; urgency=low

  * Merge from Debian testing (Remaining changes):
    - debian/dahdi-dkms.install.in : add .version
    - debian/dkms.conf.in : do not 'make clean' after compile. We have to
      do this because the wanpipe (sangoma) drivers need Module.symvers.
    - debian/rules : cleanup dahdi-dkms.install and dkms.conf after build
    - debian/control: Change Maintainer
    - debian/control: Removed Uploaders field.
    - debian/control: Removed Debian Vcs-Svn entry and replaced with
      ubuntu-voip Vcs-Bzr, to reflect divergence in packages.
    - debian/control: Fix typo (right command is m-a a-i dahdi-source)
    - Import modifications by Javier Uruen Val <javi@warp.es>:
      - debian/system.conf
      - debian/modules
    - DKMS support:
      - debian/control: Added Depends to dahdi-linux (dahdi-dkms | dahdi-source)
      - debian/control: Add dkms package
      - debian/dahdi-dkms.install
      - debian/dahdi-dkms.postinst
      - debian/dahdi-dkms.prerm
      - debian/dahdi-linux.install
      - debian/rules: add code to automatically configure dkms.conf
      - debian/dkms.conf.in

  [ Stefan Lesicnik ]
  * debian/dkms.conf.in: Add () so make.log captures all output
  * debian/dkms.conf.in: Build dahdi_dummy as module to fix dkms build failure

 -- Stefan Lesicnik <stefan@lsd.co.za>  Thu, 11 Nov 2010 11:24:07 +0200

dahdi-linux (1:2.3.0.1+dfsg-2) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Add myself to uploaders.

  [ Tzafrir Cohen ]
  * Disable mmx_auto for now (Closes: #593438).
  * dahdi_linux_extra: Re-apply zaphfc r7 (Closes: #598886).
  * Patch wcb4xxp_bn4s0e: missing PCI IDs for beroNet BN4S0e (Closes: #600839).

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 20 Oct 2010 21:21:58 +0200

dahdi-linux (1:2.3.0.1+dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #546319).
  * Patch no_dummy removed: merged upstream. 
  * Patch wcb4xxp_extra_trunk removed: merged upstream.
  * Patch chanmute: make it also explicitly disable the untested
    DAHDI_AUDIO_NOTIFY.
  * Patch oslec_include_2634: fix building with 2.6.34 (Closes: #586216).
  * Patches xpp_usb_buffer_2635, voicebus_sem_h_2635: Likewise for 2.6.35.
  * Patch dahdi_linux_extra: revert last fix to zaphfc.
  * Standards version 3.9.1 (no change needed).

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 03 Aug 2010 03:58:11 +0300

dahdi-linux (1:2.2.1.1+dfsg-1) unstable; urgency=low

  * New upstream minor release.
  * Updated copyrights file.
  * Standards version 3.8.4: no change needed.
  * Patch wcb4xxp_extra_trunk: backport extra PCI IDs for wcb4xxp
    (more HFC-[248]S cards).
  * Switch to a @debian.org address.
  * Dpkg V3 format (it was quilt already). 
  * Remove lintian override that is no longer needed.
  * Patch dahdi_linux_extra: manually fix to remove a leading '---'.
  * dahdi-modules packages now depend on the linux-image versions. 
  * Other minor updates to the packaging of the dahdi-modules package.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 18 Apr 2010 17:14:02 +0300

dahdi-linux (1:2.2.1+dfsg-1ubuntu3) maverick; urgency=low

  * 2.6.35-build.patch:
    - fixes builds on 2.6.35 kernels. Fixed in debian 1:2.3.0.1+dfsg-1 
    (LP: #591375)

 -- Niall Creech <niallcreech@googlemail.com>  Fri, 17 Sep 2010 09:45:04 +0200

dahdi-linux (1:2.2.1+dfsg-1ubuntu2) lucid; urgency=low

   * Bug fixes:
    - debian/dahdi-dkms.install.in : add .version
    - debian/dkms.conf.in : do not 'make clean' after compile. We have to 
      do this because the wanpipe (sangoma) drivers need Module.symvers.
    - debian/rules : cleanup dahdi-dkms.install and dkms.conf after build
    - debian/control : add Depends gcc
    - debian/control : add wget and gawk (LP: #481566, LP: #444522, LP: #429510)

 -- Jean-Michel Dault <jmdault@revolutionlinux.com>  Sun, 07 Mar 2010 21:37:49 -0500

dahdi-linux (1:2.2.1+dfsg-1ubuntu1) lucid; urgency=low

  * Merge from debian pkg-voip
    * Changes from Debian:
    - debian/control: Change Maintainer
    - debian/control: Removed Uploaders field.
    - debian/control: Removed Debian Vcs-Svn entry and replaced with
        ubuntu-voip Vcs-Bzr, to reflect divergence in packages.
    - debian/control: Fix typo (right command is m-a a-i dahdi-source)
    - debian/rules: Fix typo (s/rules/rules.d/)
  * Import modifications by Javier Uruen Val <javi@warp.es>:
    - debian/system.conf
    - debian/modules
  * DKMS support:
    - debian/control: Added Depends to dahdi-linux (dahdi-dkms | dahdi-source)
    - debian/control: Add dkms package
    - debian/dahdi-dkms.install
    - debian/dahdi-dkms.postinst
    - debian/dahdi-dkms.prerm
    - debian/dahdi-linux.install
    - debian/rules: add code to automatically configure dkms.conf
    - debian/dkms.conf.in

  * From debian pkg-voip SVN:
  [ Tzafrir Cohen ]
  * New upstream release (Closes: #564739).
  * Dropped patch wcfxo_reset_fix: merged upstream.
  * Section name of dahdi-source: kernel
  * Also provide an example xpp.conf .
  * Patch uk_rotary (Closes: #546329). 
  * Override the bogus lintian warning for 'm-a a-i dahdi'
  * Remove some remaining Zaptel left-overs.
  * Replaced extra drivers and patches with huge patch dahdi_linux_extra
    (Closes: #564720).
  * Patch xpp_udev_rules_2632: fix XPP udev rules (Closes: #562024). 
  * Also copy the .version file, to make sure modules have versions. 

