=== debian/changelog ===
dahdi-linux (1:2.4.1+dfsg-1ubuntu2) oneiric; urgency=low

  * debian/patches/define_spinlock: Fix DKMS FTBFS, move test for
    DEFINE_SPINLOCK into include/dahdi/kernel.h. Cherry picked from upstream
    commit (r9411)

 -- Adam Gandelman <adam.gandelman@canonical.com>  Tue, 24 May 2011 11:21:53 -0700

dahdi-linux (1:2.4.1+dfsg-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable (Remaining changes):
    - debian/dahdi-dkms.install.in : add .version
    - debian/rules : cleanup dahdi-dkms.install and dkms.conf after build
    - debian/control: Fix typo (right command is m-a a-i dahdi-source)
    - Import modifications by Javier Uruen Val <javi@warp.es>:
      - debian/system.conf
      - debian/modules
    - DKMS support:
      - debian/control: Added Depends to dahdi-linux (dahdi-dkms | dahdi-source)
      - debian/control: Add dkms package
      - debian/dahdi-dkms.install
      - debian/dahdi-dkms.postinst
      - debian/dahdi-dkms.prerm
      - debian/dahdi-linux.install
      - debian/rules: add code to automatically configure dkms.conf
      - debian/dkms.conf.in

 -- Adam Gandelman <adam.gandelman@canonical.com>  Thu, 19 May 2011 15:15:46 -0700

dahdi-linux (1:2.4.1+dfsg-1) unstable; urgency=low

  * New Upstream release.
    - Patch uk_rotary dropped: merged upstream.
    - Patch oslec_include_2634 dropped: merged upstream. 
    - Patch xpp_usb_buffer_2635 dropped: merged upstream.
    - Patch voicebus_sem_h_2635 dropped: merged upstream.
  * dahdi_linux_extra now includes AP400 drivers (Closes: #582095).
  * Patch oslec_auto: Makes adding OSLEC less painful.
    - But for now it requires manually editing patch dahdi_linux_extra.

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 07 Mar 2011 12:01:55 +0200
