=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: comm
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
 XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7), bzip2, asciidoc
 Standards-Version: 3.9.1
 Homepage: http://www.asterisk.org/
-Vcs-Bzr: http://launchpad.net/~ubuntu-voip/ubuntu-voip/dahdi-linux/
+Vcs-Svn: svn://svn.debian.org/pkg-voip/dahdi-linux/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/dahdi-linux/?op=log
 
 Package: dahdi-linux
 Architecture: all
