## dahdi-linux 2.5.0.1%2Bdfsg

=== debian/changelog ===
dahdi-linux (1:2.5.0.1+dfsg-1ubuntu4~14.04.4) trusty; urgency=low

  * d/p/kernel-v3-17-compat.patch, d/p/kernel-v3-18-compat.patch, and
    d/p/kernel-v3-19-compat.patch:
    Backport compat code to allow compilation of latest HWE (3.19) kernel
    in Trusty/14.04 (LP: #1499436).

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 29 Sep 2015 09:57:46 -0500

dahdi-linux (1:2.5.0.1+dfsg-1ubuntu4~14.04.3) trusty; urgency=low

  * debian/tests: Add special dep-8 test code as the generic testing
    fails because one module (echo.ko) is compiled but not installed
    since the kernel ships the same version (this has been fixed in
    newer packaging) (LP: #1497982).

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 21 Sep 2015 10:42:43 -0500

dahdi-linux (1:2.5.0.1+dfsg-1ubuntu4~14.04.2) trusty; urgency=low

  * debian/dkms.conf.in: Expose the target kernel version in a variable that
    is actually heeded by the make file. And also pass it in on every
    invokation of make (LP: #790558).
  * debian/patches/kernel-v3-11-compat.patch: Carried forward reworked
    version from Precise which unbreaks compiling on kernel <3.10
    (LP: #1336253).

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 09 Dec 2014 18:45:24 +0100

dahdi-linux (1:2.5.0.1+dfsg-1ubuntu4~14.04.1) trusty; urgency=low

  * Cherry-picking compat patches to support kernel versions up to 3.16
    (LP: #1336253)

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 14 Nov 2014 10:55:58 +0100

dahdi-linux (1:2.5.0.1+dfsg-1ubuntu3) saucy; urgency=low

  * Fix compile issues with 3.11 kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 05 Aug 2013 13:39:27 +0100

dahdi-linux (1:2.5.0.1+dfsg-1ubuntu2) precise; urgency=low

  * Fix compile issues with 3.2 kernel (LP: #928499)

 -- Paul Belanger <paul.belanger@polybeacon.com>  Fri, 10 Feb 2012 10:07:30 +0000

dahdi-linux (1:2.5.0.1+dfsg-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #879743). Remaining changes:
    - debian/dahdi-dkms.install.in : add .version
    - Import modifications by Javier Uruen Val <javi@warp.es>:
      - debian/system.conf
      - debian/modules
    - DKMS support:
      - debian/control: Added Depends to dahdi-linux (dahdi-dkms | dahdi-source)
      - debian/control: Add dkms package
      - debian/dahdi-dkms.install
      - debian/dahdi-dkms.postinst
      - debian/dahdi-dkms.prerm
      - debian/dahdi-linux.install
      - debian/rules: add code to automatically configure dkms.conf
      - debian/dkms.conf.in
  * Dropped changes:
    - debian/control: Fix typo (right command is m-a a-i dahdi-source)
    - debian/patches/define_spinlock: Fixed upstream
  * debian/rules: Debian moved to dh, re-add code to automatically configure
    dkms.conf
  * debian/dkms.conf.in: update to reflect dahdi-linux-extra patch update
    (opvxa1200's new  location (subdir) and to include ap400 and opvxd115)
  * debian/patches/zaphfc_d_channel_fix.patch: Correct typo in zaphfc module
    until fix gets synced into dahdi-linux-extra patch in Debian (LP: #612091)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 21 Oct 2011 17:32:09 -0700

dahdi-linux (1:2.5.0.1+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #639702).
    - Patch wcb4xxp_bn4s0e removed: merged upstream.
    - Patch define_spinlock removed: merged upstream.
    - Patch dahdi-linux-extra updated.
  * Updated dahdi-linux-extra:
    - "Upstream" is now a complete git mirror.
    - Actually include ap400 in the list of modules to build.
    - Updated OpenVox drivers: opvxa1200 is a subdirectory 
    - Updated OpenVox drivers: opvxd115 added (digital cards).
  * Patch define_spinlock: include a (slightly big) build fix from upstream.
  * Standards version 3.9.2 (no change needed).
  * Switch to dh.
  * Patch notest: Remove a bogus upstream 'test' target.
  * Lintian override for an odd interpteter a dummy kernel module init script. 
  * Dahdi udev rules are now named 'dahdi-linux.conf'.
  * Patch xpp_fix_2fxs6fxo: bugfix for Xorcom 2FXX6FXO module code.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 25 Sep 2011 22:58:17 +0300
