=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
 XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7), bzip2, asciidoc
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>=  7.0.50~), bzip2, asciidoc
+Standards-Version: 3.9.2
 Homepage: http://www.asterisk.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/dahdi-linux/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/dahdi-linux/?op=log
